/*------------------------------------------------------------------
|																	|
|	Cfo																|
|																	|
 --------------------------------------------------------------------*/
 
class Cfo
{
	constructor() {
		
	}
	function ManageLoan();
	function HasMoney(money);
}	

/*------------------------------------------------------------------*/
function Cfo::ManageLoan()
{
	local balance = AICompany.GetBankBalance(AICompany.COMPANY_SELF);
	local loan = AICompany.GetLoanAmount();
	local pay_back_balance =  2 * AICompany.GetLoanInterval(); 
	local loan_interval = AICompany.GetLoanInterval();
	local pay_back = 0;
	
	while(( balance - pay_back >= pay_back_balance) 
			&& (loan - pay_back > 0))	{
		pay_back += loan_interval;
	}
	if (pay_back) {
		if(!AICompany.SetLoanAmount(loan - pay_back))	{
			AILog.Info(this.name + " Failed to pay back");
		}
	}	
}


/*------------------------------------------------------------------*/
function Cfo::HasMoney(money)
{
	
//	AILog.Info("Has money: balance " + AICompany.GetBankBalance(AICompany.COMPANY_SELF)) ;
	local balance = AICompany.GetBankBalance(AICompany.COMPANY_SELF);
	
	if ( balance > money) return true;
	
	AICompany.SetLoanAmount(AICompany.GetMaxLoanAmount());
	
	return (AICompany.GetBankBalance(AICompany.COMPANY_SELF) > money);
}
